#include <BME280I2C.h>
#include <Wire.h>
#include <U8g2lib.h>
 
U8G2_SSD1306_128X64_NONAME_F_SW_I2C
u8g2(U8G2_R0, /* clock=*/ 5, /* data=*/ 4, /* reset=*/ U8X8_PIN_NONE);   // All Boards without Reset of the Display
BME280I2C bme;
 

void setup( ){
Serial.begin(115200);
Wire.begin();
bme.begin();
u8g2.begin();
 
}

void loop( ){
float temp, hum, pres;
bme.read(pres, temp, hum);



    Serial.print( "Temperature (°C)= " );
    Serial.print(temp);
    Serial.print( " - Humidity = " );
    Serial.print(hum);
    Serial.println( "%" );
    Serial.print("Pressione: ");
    Serial.print (pres);
    Serial.println (" Pa");

    char chartemp[10];                
    dtostrf(temp, 3, 2, chartemp);
    char charhum[10];                
    dtostrf(hum, 3, 2, charhum);
    char charpres[10];                
    dtostrf(pres, 3, 2, charpres);
    
  u8g2.clearBuffer();
  u8g2.setFont(u8g2_font_7x14B_tr);
  u8g2.drawStr(10,10,"Weather station");
  u8g2.drawStr(0,27,"Temp.:");
  u8g2.drawStr(45,27,chartemp);
  u8g2.drawStr(88,27,"C");  
  u8g2.drawStr(0,43,"Humd.:");
  u8g2.drawStr(45,43,charhum);
  u8g2.drawStr(88,43,"%");  
  u8g2.drawStr(0,60,"Pres.:");
  u8g2.drawStr(45,60,charpres);
  u8g2.drawStr(100,60,"Pa");  
  u8g2.sendBuffer();
    
    delay(500);
  }
 
